precision highp float;
uniform vec3 u_v3LightColor;

varying lowp vec3 v_v3Normal;
varying vec3 v_v3LightDir;

void main() 
{
	vec3 v3Light = u_v3LightColor * (0.7 + (dot(v_v3Normal, v_v3LightDir) * 0.3));
	gl_FragColor = vec4(v3Light, 1.0);	
}
