
precision lowp float;

uniform sampler2D tex;
uniform float u_fReduceRadius;

varying vec2 v_v2TexCoord;
varying vec2 v_v2Pos;

void main() 
{
	vec4 v4Texture = texture2D(tex, v_v2TexCoord);
	gl_FragColor = v4Texture;

	float fMult = (1.0 - length(v_v2Pos) - u_fReduceRadius) * 20.0;
	vec3 v3Mult = fMult * vec3(1.2, 1.1, 1.0);
	v3Mult = min(v3Mult, vec3(1.0));	
	gl_FragColor.xyz *= v3Mult;
	
}
