

uniform mat4 u_m44ModelViewProjection;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;
uniform float u_fRatio;

varying vec2 v_v2TexCoord;
varying vec2 v_v2Pos;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	gl_Position = u_m44ModelViewProjection * a_v4Position;
	v_v2Pos = gl_Position.xy * vec2(u_fRatio, 1.0);
}

