
precision lowp float;

uniform sampler2D tex;
uniform sampler2D texMask;

varying vec2 v_v2TexCoord;
varying vec2 v_v2TexCoord2;
varying vec4 v_v4Color;

void main() 
{
	vec4 v4Texture = texture2D(tex, v_v2TexCoord);
	vec4 v4TextureMask = texture2D(texMask, v_v2TexCoord2);
	gl_FragColor = v4TextureMask * v4Texture * v_v4Color;
}
