

precision lowp float;

uniform sampler2D tex;
uniform sampler2D texLightmap;

varying vec2 v_v2TexCoord;
varying vec2 v_v2TexCoordLight;

void main() 
{
	vec4 v4Texture = texture2D(tex, v_v2TexCoord);
	vec4 v4TextureLight = texture2D(texLightmap, v_v2TexCoordLight);
	gl_FragColor = vec4(v4Texture.rgb * v4TextureLight.rgb, v4Texture.a);
}
