uniform mat4 u_m44ModelViewProjection;
uniform mat4 u_m44Texture;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;
attribute vec2 a_v2TexCoord2;

varying mediump vec2 v_v2TexCoord;
varying mediump vec2 v_v2TexCoord2;

void main() 
{
	// The grip was UV mapped upside down... the original map was noise so it was probably hard to tell. Just rotate the UVs in the shader and all works with screen grabs correctly
	v_v2TexCoord = (u_m44Texture * vec4(a_v2TexCoord, 0, 1)).xy;
	v_v2TexCoord += 0.5;
	v_v2TexCoord2 = a_v2TexCoord2;
	v_v2TexCoord2.x *= 2.0;
	v_v2TexCoord2.y *= 4.0;

	gl_Position = u_m44ModelViewProjection * a_v4Position;
}

