

uniform mat4 u_m44ModelViewProjection;
uniform mat4 u_m44Model;
uniform vec2 u_v2WearOffset;
uniform vec2 u_v2WearScale;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;

varying vec2 v_v2TexCoord;
varying vec3 v_v3WorldPosition;
varying vec2 v_v2WearUV;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	gl_Position = u_m44ModelViewProjection * a_v4Position;	
	v_v3WorldPosition = (u_m44Model * a_v4Position).xyz;
	v_v2WearUV = vec2(u_v2WearOffset.x + (a_v4Position.x * u_v2WearScale.x), u_v2WearOffset.y + (a_v4Position.z * u_v2WearScale.y));
}